upgrade to DP 10.50 fails with "JCE database update failed"

I have a problem with DP upgrade from 10.40 to 10.50: it fails with "JCE database update failed"  error.

When I open DP Manager, I have errors:

1: Internal error: DbaXXXX functions 12:1201

2: Unable to get Authentication token. Check if Appserver is running.

I've tried to repair the installation.

I've tried also to apply this recommendation: https://www.data-protector.org/wordpress/2018/09/appserver-issues-when-upgrading-to-10-x/

It's still not working.